AM263Px MCU+ SDK: UARTLLD_Handle Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
UARTLLD_Handle Struct Reference
APIs for SOC Specific Device Drivers » APIs for UART

## Detailed Description

UART driver object.

## Data Fields
uint32_t | baseAddr
UARTLLD_InitHandle | hUartInit
const uint8_t * | writeBuf
uint32_t | writeCount
uint32_t | writeSizeRemaining
uint8_t * | readBuf
uint32_t | readCount
uint32_t | readSizeRemaining
uint32_t | rxTimeoutCnt
uint32_t | readErrorCnt
UART_Transaction | readTrans
UART_Transaction | writeTrans
uint32_t | currIntMask
uint32_t | state
void * | readTransferMutex
void * | writeTransferMutex
struct UART_Config_s * | args
uint64_t | lineStatusTimeout

## Field Documentation

## ◆ baseAddr

uint32_t UARTLLD_Handle::baseAddr

Peripheral base address

## ◆ hUartInit

UARTLLD_InitHandle UARTLLD_Handle::hUartInit

[IN] Initialization parameters of UART instance

## ◆ writeBuf

const uint8_t* UARTLLD_Handle::writeBuf

Buffer data pointer

## ◆ writeCount

uint32_t UARTLLD_Handle::writeCount

Number of Chars sent

## ◆ writeSizeRemaining

uint32_t UARTLLD_Handle::writeSizeRemaining

Chars remaining in buffer

## ◆ readBuf

uint8_t* UARTLLD_Handle::readBuf

Buffer data pointer

## ◆ readCount

uint32_t UARTLLD_Handle::readCount

Number of Chars read

## ◆ readSizeRemaining

uint32_t UARTLLD_Handle::readSizeRemaining

Chars remaining in buffer

## ◆ rxTimeoutCnt

uint32_t UARTLLD_Handle::rxTimeoutCnt

Receive timeout error count

## ◆ readErrorCnt

uint32_t UARTLLD_Handle::readErrorCnt

Line status error count

## ◆ readTrans

UART_Transaction UARTLLD_Handle::readTrans

Pointer to the current read transaction

## ◆ writeTrans

UART_Transaction UARTLLD_Handle::writeTrans

Pointer to the current write transaction

## ◆ currIntMask

uint32_t UARTLLD_Handle::currIntMask

## ◆ state

uint32_t UARTLLD_Handle::state

Flag to indicate whether the instance is opened already

## ◆ readTransferMutex

void* UARTLLD_Handle::readTransferMutex

Read Transfer Sync Sempahore - to signal transfer completion

## ◆ writeTransferMutex

void* UARTLLD_Handle::writeTransferMutex

Write Transfer Sync Sempahore - to signal transfer completion

## ◆ args

struct UART_Config_s* UARTLLD_Handle::args

Pointer to be used by application to store miscellaneous data.

## ◆ lineStatusTimeout

uint64_t UARTLLD_Handle::lineStatusTimeout

Variable to hold the line status timeout in ticks